#pragma once

#include "util/Interface.h"
#include "util/UserSettings.h"
#include "context/ContextManager.h"
#include <boost/shared_ptr.hpp>

class RemoteConnector
{
public:
    virtual ContextManager* getContextManager() = 0;
    virtual CallerControllerPtr getCallerController() = 0;
    virtual UserSettingsPtr getSettings() = 0;
};
